Page MenuHomePhabricator

Do not allow saving translations to blacklisted language codes
Closed, ResolvedPublic

Event Timeline

Kaganer created this task.Jan 19 2016, 8:13 AM
Kaganer raised the priority of this task from to Needs Triage.
Kaganer updated the task description. (Show Details)
Kaganer added subscribers: Kaganer, Nikerabbit, Nemo_bis, Amire80.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 19 2016, 8:13 AM

There are related bugs in the interface that causes the error message not to show when switching languages.

Is this a feature request to hard block creation of such pages similar to what happens to unknown messages in Translations namespace?

Yes. I believe that creation and editing messages with the langcode, which is disabled in a related setting ($wgTranslateBlacklist ?), should be blocked.

Nikerabbit renamed this task from Deprecated language code is available for translation separate items to Do not allow saving translations to blacklisted language codes.Jan 22 2016, 3:43 PM
Nikerabbit set Security to None.
Nikerabbit triaged this task as Normal priority.Jan 22 2016, 3:50 PM

CentralNotice currently depends on the user being able to save to the CNBanner namespace's /en pages so doing this would partially break it at Meta because 'en' is blacklisted for all groups on Wikimedia. That blacklist entry shouldn't actually be needed and manual source page edits should actually be directly prevented on Translate but even then we would need to add exceptions for CNBanner.

Change 306015 had a related patch set uploaded (by Glaisher):
Remove English for all groups from $wgTranslateBlacklist

https://gerrit.wikimedia.org/r/306015

That blacklist entry shouldn't actually be needed and manual source page edits should actually be directly prevented on Translate

AFAIK we fixed that in T89637: Automatically blacklist the page's source language without manual $wgTranslateBlacklist.

Change 306015 merged by jenkins-bot:
Remove English for all groups from $wgTranslateBlacklist

https://gerrit.wikimedia.org/r/306015

Mentioned in SAL [2016-08-23T13:21:01Z] <hashar@tin> Synchronized wmf-config/CommonSettings.php: Remove English for all groups from $wgTranslateBlacklist T124013 (duration: 00m 54s)

Change 306024 had a related patch set uploaded (by Glaisher):
Use getUserPermissionsErrorExpensive hook for preventing translations to non-translatable languages

https://gerrit.wikimedia.org/r/306024

Change 307054 had a related patch set uploaded (by Glaisher):
Prevent saving translations when if it matches $wgTranslateBlacklist

https://gerrit.wikimedia.org/r/307054

Change 307054 merged by jenkins-bot:
Prevent saving translations if it matches $wgTranslateBlacklist

https://gerrit.wikimedia.org/r/307054

Glaisher closed this task as Resolved.Aug 30 2016, 3:22 PM
Glaisher claimed this task.